Bug 120253 - CAN-2004-0155/CAN-2004-0164/CAN-2004-0403 IPSEC vulnerabilities
CAN-2004-0155/CAN-2004-0164/CAN-2004-0403 IPSEC vulnerabilities
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-04-07 07:22 EDT by Mark J. Cox (Product Security)
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-11 23:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-07 07:22:57 EDT
With versions of ipsec-tools prior to 0.2.3, it was possible for an
attacker to cause unauthorized deletion of SA (Security Associations.)
The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2004-0164 to this issue.

With versions of ipsec-tools prior to 0.2.5, the RSA signature on
x.509 certificates was not properly verified when using certificate
based authentication. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2004-0155 to this issue.

This issue affected Red Hat Enterprise Linux 3

RHSA-2004:165 in progress
Comment 1 Mark J. Cox (Product Security) 2004-04-14 14:58:51 EDT

When ipsec-tools receives an ISAKMP header, it will attempt
to allocate sufficient memory for the entire ISAKMP message
according to the header's length field. If an attacker crafts
an ISAKMP header with a extremely large value in the length
field, racoon may exceed operating system resource limits and
be terminated, resulting in a denial of service. CAN-2004-0403
Comment 2 John Flanagan 2004-05-11 23:21:07 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.